Subject: Re: [TOOLS-DEVELOPMENT] RFC 9141 on Updating References to the IETF FTP Service

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 13 Dec 2021 13:23:44 +0000

In preparation for the tools team call of tomorrow, I have checked the table 2 of [1] and it seems that we are ready to move to the announcement.

Also added some text in https://notes.ietf.org/tools-team-20211214 

Regards

-éric

On 01/12/2021, 17:18, "TOOLS-DEVELOPMENT on behalf of Roman Danyliw" <[email-masked] on behalf of [email-masked]> wrote:

    With great joy, agreed.  To be more precise,

    (a) We need to complete all of the action in table 2 of [1].  The most significant was the publication of RFC9141, but there are a few other changes on our web properties (www, datatracker) and in ML text.

    And then: 

    (b) Make an announcement that the service will be retired no sooner than 4 months from "now".  I also extend the offer to port people's scripts.

    Roman

    [1] https://www.ietf.org/media/documents/Revised-Retiring-IETF-FTP-Service-2021-03.pdf

    > -----Original Message-----
    > From: iesg <[email-masked]> On Behalf Of Eric Vyncke (evyncke)
    > Sent: Wednesday, December 1, 2021 10:59 AM
    > To: [email-masked]; IETF Tools Development <[email-masked]>
    > Subject: Re: RFC 9141 on Updating References to the IETF FTP Service
    > 
    > Now that US Thanksgiving is over ;) I suggest that we move forward with the
    > announcement of the plan.
    > 
    > On 19/11/2021, 16:47, "Eric Vyncke (evyncke)" <[email-masked]> wrote:
    > 
    >     Based on https://mailarchive.ietf.org/arch/msg/ietf/vi-
    > 8bFqlgBFjB2jJ1SIAGHiNRdg/ IESG and the tools team are now expected to:
    >     - work on a plan for the actual shutdown of the FTP services
    >     - sending an email to the IETF community 4 months before the actual
    > shutdown
    > 
    >     I would suggest that we send the email early next week (happy to do it or
    > delegate to Roman or Lars or someone from the tools team) as I do not think
    > that we need to have a plan to simply remove some RR from the ietf.org zone
    > and shutdown/uninstall services/servers
    > 
    >     Comments ?
    > 
    >     -éric
    > 
    > 
    >     On 19/11/2021, 08:19, "IETF-Announce on behalf of rfc-editor@rfc-
    > editor.org" <[email-masked] on behalf of rfc-editor@rfc-
    > editor.org> wrote:
    > 
    >         A new Request for Comments is now available in online RFC libraries.
    > 
    > 
    >                 RFC 9141
    > 
    >                 Title:      Updating References to the IETF
    >                             FTP Service
    >                 Author:     R. Danyliw
    >                 Status:     Standards Track
    >                 Stream:     IETF
    >                 Date:       November 2021
    >                 Mailbox:    [email-masked]
    >                 Pages:      18
    >                 Updates:    RFC 2077, RFC 2418, RFC 2648, RFC 2954,
    >                             RFC 2955, RFC 3020, RFC 3083, RFC 3201,
    >                             RFC 3202, RFC 3295, RFC 3684, RFC 3962,
    >                             RFC 3970, RFC 4036, RFC 4131, RFC 4251,
    >                             RFC 4323, RFC 4546, RFC 4547, RFC 4639,
    >                             RFC 4682, RFC 5098, RFC 5428, RFC 6756,
    >                             RFC 7241
    > 
    >                 I-D Tag:    draft-danyliw-replace-ftp-pointers-06.txt
    > 
    >                 URL:        https://www.rfc-editor.org/info/rfc9141
    > 
    >                 DOI:        10.17487/RFC9141
    > 
    >         The IETF FTP service running at ftp.ietf.org, ops.ietf.org, and
    >         ietf.org will be retired.  A number of published RFCs in the IETF and
    >         IAB streams include URIs that reference this FTP service.  To ensure
    >         that the materials referenced using the IETF FTP service can still be
    >         found, this document updates the FTP-based references in these
    >         affected documents with HTTPS URIs.
    > 
    >         This is now a Proposed Standard.
    > 
    >         STANDARDS TRACK: This document specifies an Internet Standards Track
    >         protocol for the Internet community, and requests discussion and
    > suggestions
    >         for improvements.  Please refer to the current edition of the Official
    >         Internet Protocol Standards (https://www.rfc-editor.org/standards) for the
    >         standardization state and status of this protocol.  Distribution of this
    >         memo is unlimited.
    > 
    >         This announcement is sent to the IETF-Announce and rfc-dist lists.
    >         To subscribe or unsubscribe, see
    >           https://www.ietf.org/mailman/listinfo/ietf-announce
    >           https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
    > 
    >         For searching the RFC series, see https://www.rfc-editor.org/search
    >         For downloading RFCs, see https://www.rfc-editor.org/retrieve/bulk
    > 
    >         Requests for special distribution should be addressed to either the
    >         author of the RFC in question, or to [email-masked].  Unless
    >         specifically noted otherwise on the RFC itself, all RFCs are for
    >         unlimited distribution.
    > 
    > 
    >         The RFC Editor Team
    >         Association Management Solutions, LLC
    > 
    > 
    >         _______________________________________________
    >         IETF-Announce mailing list
    >         [email-masked]
    >         https://www.ietf.org/mailman/listinfo/ietf-announce
    > 

    _______________________________________________
    TOOLS-DEVELOPMENT mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/tools-development